using System;
using System.IO;
using Foundation;
using QuickLook;
using Syncfusion.SfChart.iOS;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.iOS.Renderers;
using UIKit;
using Xamarin.Forms;

[assembly: Dependency(typeof(SimpleSample.iOS.ChartDependencyService))]
namespace SimpleSample.iOS
{
	public class ChartDependencyService : IChartDependencyService
    {
		public string SendFile(string filename)
		{
			var path = Environment.GetFolderPath (Environment.SpecialFolder.Personal);
			var documentsDirectory = Path.Combine (path, filename);
			return documentsDirectory.ToString ();
		}

		public void SaveAsImage(string filename, SfChart chart)
		{
			SFChart nativechart = SfChartRenderer.GetNativeObject(typeof(SfChart), chart) as SFChart;

			if (nativechart == null)
				return;

			UIGraphics.BeginImageContext(nativechart.Frame.Size);
			nativechart.Layer.RenderInContext(UIGraphics.GetCurrentContext());          

			UIImage image = UIGraphics.GetImageFromCurrentImageContext();
			UIGraphics.EndImageContext();
			//Captured chart image will save into photo album
			image.SaveToPhotosAlbum(new UIImage.SaveStatus(delegate(UIImage img, NSError error) { }));
			////save image
			NSData data = image.AsJPEG(1.0f);
			NSFileManager fileManager = NSFileManager.DefaultManager;
			string[] paths = NSSearchPath.GetDirectories(NSSearchPathDirectory.DocumentDirectory, NSSearchPathDomain.All, true);
			string documentsDirectory = paths[0];
			string fullPath = documentsDirectory + "/" + filename;
			fileManager.CreateFile(fullPath, data, new NSDictionary());
		}

	}
		
}