﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using System.Diagnostics;

namespace SimpleSample
{
    public class Sample:ContentPage
    {
        List<ChartDataPoint> Data1;
        CustomChart chart;
		StackLayout stackLayout;
		public Sample()
        {
			stackLayout = new StackLayout ();
			stackLayout.Children.Add (GetChart ());
            Button button = new Button() {Text = "SaveAsImage" };
            button.Clicked += button_Clicked;
            stackLayout.Children.Add(button);

            Button btn2 = new Button() { Text = "getImage" };
            stackLayout.Children.Add(btn2);
            btn2.Clicked += btn2_Clicked;
			Content = stackLayout;         
        }

        void btn2_Clicked(object sender, EventArgs e)
        {
			string imagePath = DependencyService.Get<IChartDependencyService>().SendFile("Column.jpg");
			Image img = new Image ();
			img.HeightRequest = 100;
			img.WidthRequest = 100;
			img.Source = ImageSource.FromFile(imagePath);
			stackLayout.Children.Add (img);
        }

        void button_Clicked(object sender, EventArgs e)
        {
			if (Device.OS != TargetPlatform.iOS)
				chart.SaveAsImage ("Column.jpg");
			else
				DependencyService.Get<IChartDependencyService> ().SaveAsImage ("Column.jpg", chart);
				
        }
        
		private CustomChart GetChart()
		{
			chart = new CustomChart ();
			chart.VerticalOptions = LayoutOptions.FillAndExpand;
			chart.HorizontalOptions = LayoutOptions.FillAndExpand;

            Data1 = new List<ChartDataPoint>();
            Data1.Add(new ChartDataPoint("Jan", 32));
            Data1.Add(new ChartDataPoint("Feb", 43));
            Data1.Add(new ChartDataPoint("Mar", 27));
            Data1.Add(new ChartDataPoint("Apr", 19));
			Data1.Add(new ChartDataPoint("May", 26));
			Data1.Add(new ChartDataPoint("Jun", 46));

			NumericalAxis axis = new NumericalAxis();
            chart.PrimaryAxis = new NumericalAxis();
            chart.SecondaryAxis = axis;

			ColumnSeries column = new ColumnSeries ();
			column.ItemsSource = Data1;
			chart.Series.Add (column);
			return chart;
		}

    }
}